VERSION 5.00
Begin VB.Form frmConfig 
   AutoRedraw      =   -1  'True
   BorderStyle     =   1  'Fixed Single
   Caption         =   "BinaryClock Configuration"
   ClientHeight    =   2175
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   3525
   ControlBox      =   0   'False
   Icon            =   "frmConfig.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   108.75
   ScaleMode       =   2  'Point
   ScaleWidth      =   176.25
   StartUpPosition =   2  'CenterScreen
   Begin VB.Frame Frame1 
      BorderStyle     =   0  'None
      Caption         =   "Frame1"
      Height          =   255
      Left            =   120
      TabIndex        =   6
      Top             =   1320
      Width           =   3255
      Begin VB.OptionButton optTime12h 
         Caption         =   "12 hour"
         Height          =   255
         Left            =   2280
         TabIndex        =   9
         Top             =   0
         Width           =   975
      End
      Begin VB.OptionButton optTime24h 
         Caption         =   "24 hour"
         Height          =   255
         Left            =   1320
         TabIndex        =   8
         Top             =   0
         Width           =   975
      End
      Begin VB.Label Label1 
         AutoSize        =   -1  'True
         Caption         =   "Time Format:"
         Height          =   195
         Left            =   0
         TabIndex        =   7
         Top             =   30
         Width           =   915
      End
   End
   Begin VB.CommandButton cmdAbout 
      Caption         =   "&About"
      Height          =   375
      Left            =   2400
      TabIndex        =   5
      Top             =   1680
      Width           =   975
   End
   Begin VB.CommandButton cmdCancel 
      Caption         =   "&Cancel"
      Height          =   375
      Left            =   1200
      TabIndex        =   4
      Top             =   1680
      Width           =   1095
   End
   Begin VB.CommandButton cmdOk 
      Caption         =   "&Ok"
      Default         =   -1  'True
      Height          =   375
      Left            =   120
      TabIndex        =   3
      Top             =   1680
      Width           =   975
   End
   Begin VB.OptionButton optColorCycle 
      Caption         =   "Cycle Colors"
      Height          =   255
      Left            =   120
      TabIndex        =   2
      Top             =   120
      Width           =   1215
   End
   Begin VB.OptionButton optColorFixed 
      Caption         =   "Fixed Color"
      Height          =   255
      Left            =   120
      TabIndex        =   1
      Top             =   480
      Width           =   1215
   End
   Begin VB.HScrollBar hsbHue 
      Enabled         =   0   'False
      Height          =   255
      Left            =   120
      Max             =   359
      TabIndex        =   0
      Top             =   840
      Width           =   3255
   End
   Begin VB.Timer tmrCycle 
      Interval        =   100
      Left            =   2880
      Top             =   240
   End
   Begin VB.Shape shpColor 
      Height          =   615
      Left            =   1440
      Top             =   120
      Width           =   1935
   End
End
Attribute VB_Name = "frmConfig"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub cmdAbout_Click()
    frmAbout.Show 1
End Sub

Private Sub cmdCancel_Click()
    Unload Me
End Sub

Private Sub cmdOk_Click()
    SaveSetting "Paul248", "BinaryClock", "Cycle", optColorCycle.Value
    SaveSetting "Paul248", "BinaryClock", "Hue", hsbHue.Value
    SaveSetting "Paul248", "BinaryClock", "24h Time", optTime24h.Value
    Unload Me
End Sub

Private Sub Form_Load()
    Randomize
    hsbHue.Value = intFixedHue
    If blnCycle Then
        optColorCycle.Value = True
    Else
        optColorFixed.Value = True
    End If
    If blnTime24h Then
        optTime24h.Value = True
    Else
        optTime12h.Value = True
    End If
End Sub

Private Sub hsbHue_Change()
    If optColorFixed Then UpdateColor hsbHue.Value
End Sub

Private Sub hsbHue_Scroll()
    If optColorFixed Then UpdateColor hsbHue.Value
End Sub

Sub UpdateColor(intH As Integer)
    Line (shpColor.Left, shpColor.Top)-Step(shpColor.Width - 1, shpColor.Height - 1), HSBToRGB(intH, 255, 255), BF
End Sub

Private Sub optColorCycle_Click()
    hsbHue.Enabled = False
    tmrCycle.Enabled = True
End Sub

Private Sub optColorFixed_Click()
    tmrCycle.Enabled = False
    hsbHue.Enabled = True
    UpdateColor hsbHue.Value
End Sub

Private Sub tmrCycle_Timer()
    intHue = intHue + 5
    If intHue >= 360 Then intHue = intHue - 360
    UpdateColor intHue
End Sub
